Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ltk.core.refactoring.participants
Class MoveParticipant

    java.lang.Object
      org.eclipse.core.runtime.PlatformObject
          org.eclipse.ltk.core.refactoring.participants.RefactoringParticipant
              org.eclipse.ltk.core.refactoring.participants.MoveParticipant

All Implemented Interfaces:
  IAdaptable

public abstract class MoveParticipant
extends RefactoringParticipant

A participant to participate in refactorings that move elements. A move participant can't assume that its associated refactoring processor is a move processor. A move operation might be a side effect of another refactoring operation.

Move participants are registered via the extension point `org.eclipse.ltk.core.refactoring.moveParticipants`. Extensions to this extension point must therefore extend this abstract class.

Since:
  3.0

Constructor Summary
`MoveParticipant()`

Method Summary
`MoveArguments` | `getArguments()` Returns the move arguments.
`protected void` | `initialize(RefactoringArguments arguments)` Initializes the participant with the refactoring arguments

Methods inherited from class org.eclipse.ltk.core.refactoring.participants.RefactoringParticipant
`checkConditions, createChange, getName, getProcessor, initialize, initialize`

Methods inherited from class org.eclipse.core.runtime.PlatformObject
`getAdapter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MoveParticipant

    public MoveParticipant()

Method Detail

### initialize

    protected final void initialize(RefactoringArguments arguments)

  Initializes the participant with the refactoring arguments

  Specified by:
    `initialize` in class `RefactoringParticipant`
  Parameters:
    `arguments` - the refactoring arguments

### getArguments

    public MoveArguments getArguments()

  Returns the move arguments.

  Returns:
    the move arguments

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.